CONFIG_NORDIC_QSPI_NOR=y
CONFIG_BOOT_MAX_IMG_SECTORS=256

# Enable logging
CONFIG_LOG=y
CONFIG_LOG_DEFAULT_LEVEL=4

# MCUboot requires a large stack size, otherwise an MPU fault will occur
CONFIG_MAIN_STACK_SIZE=40240

CONFIG_THREAD_ANALYZER_AUTO_STACK_SIZE=2048

CONFIG_LOG_PROCESS_THREAD_STACK_SIZE=32000

# Enable flash operations
CONFIG_FLASH=y

CONFIG_LOG_MODE_MINIMAL=y
CONFIG_MULTITHREADING=y

CONFIG_MPU_LOG_LEVEL_INF=y
CONFIG_PM_PARTITION_REGION_SETTINGS_STORAGE_EXTERNAL=y
CONFIG_PM_PARTITION_REGION_NVS_STORAGE_EXTERNAL=y
# CONFIG_BOOT_SWAP_USING_SCRATCH=y

CONFIG_PM_PARTITION_SIZE_MCUBOOT=0x10000